This patch fixes a segfault that occurs when metadata are backed up for a volume
that has a snapshot.

Apply with:
cd /usr/src/evms-2.5.0/
patch -p1 < metadata_backup_snapshot.patch
make install

--- evms-2.5.0/engine/engine.c	2004-12-17 11:52:19.000000000 -0600
+++ evms-2.5.0-fix/engine/engine.c	2005-01-04 13:34:49.000000000 -0600
@@ -2787,7 +2787,7 @@
 			 * device contain the feature headers that go on
 			 * the object.
 			 */
-			rc = backup_fh(vol->name, vol->object);
+			rc = backup_fh(vol->name, get_working_top_object(vol->object));
 
 		} else {
 			rc = engine_save_metadata(vol->name,
